Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Update readme.md

  • Loading branch information...
commit 4b93bfb2ec7baf26641bffec8f0e8775e2a32474 1 parent 07ae7cc
@roblarsen roblarsen authored
Showing with 10 additions and 2 deletions.
  1. +10 −2 readme.md
View
12 readme.md
@@ -68,15 +68,23 @@ This means that OS X versions prior to 10.6 are no longer supported out of the b
Alternatively, YUI Compressor, which requires Java > 1.4, could be swapped out for Closure Compiler.
## Quick Start
+**You must wrap any scripts to concatenate in a pair of specially constructed comments. These look like this:**
-You must wrap any scripts to concatenate in a pair of specially constructed comments. These look like this:
-
+*legacy version (pre 1.0)* (https://github.com/h5bp/ant-build-script/wiki/What-version-are-you-running%3F)
```html
<!-- scripts concatenated and minified via build script -->
<script src="js/plugins.js"></script>
<script src="js/main.js"></script>
<!-- end scripts -->
```
+
+*1.0 and greater*
+```html
+ <!-- //-beg- concat_js -->
+ <script src="js/plugins.js"></script>
+ <script src="js/main.js"></script>
+ <!-- //-end- concat_js -->
+```
## If you're on Mac or Linux...
You've got all your dependencies pre-installed, likely. You need to install ant-contrib to get the build script working.
Please sign in to comment.
Something went wrong with that request. Please try again.